/*
 * Value_elements.hpp
 *
 *  Created on: Sep 10, 2014
 *      Author: heber
 */

#ifndef VALUE_ELEMENTS_HPP_
#define VALUE_ELEMENTS_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <string>

#include "Parameters/Value.hpp"

// This overrides string conversions for the type vector<element> which need a specific function call.

template <>
bool Value<std::vector<const element *> >::isValidAsString(const std::string &_value) const throw(ParameterValidatorException);

template <>
const std::string Value<std::vector<const element *> >::getAsString() const throw(ParameterValueException);

template <>
void Value<std::vector<const element *> >::setAsString(const std::string &_value) throw(ParameterException);


#endif /* VALUE_ELEMENTS_HPP_ */
